gRPC C#
gRPC C#
Namespaces
Grpc.Core
Server.ServerPortCollection Class
ServerPortCollection Methods

Server ServerPortCollection Class

Collection of server ports.
Inheritance Hierarchy
System
Object
Grpc.Core
Server
ServerPortCollection

Namespace: Grpc.Core
Assembly: Grpc.Core (in Grpc.Core.dll) Version: 0.7.0.0
Syntax
C#
VB
C++
F#
Copy

    public class ServerPortCollection : IEnumerable<ServerPort>,
    	IEnumerable

    Public Class ServerPortCollection
    	Implements IEnumerable(Of ServerPort), IEnumerable

    public ref class ServerPortCollection : IEnumerable<ServerPort^>,
    	IEnumerable

    type ServerPortCollection =
        class
            interface IEnumerable<ServerPort>
            interface IEnumerable
        end

The Server
ServerPortCollection type exposes the following members.

Methods

| Name | Description
--- | --- | ---
| Add(ServerPort) | Adds a new port on which server should listen. Only call this before Start(). #### Return Value Type: The port on which server will be listening.
| Add(String, Int32, ServerCredentials) | Adds a new port on which server should listen. #### Return Value Type: The port on which server will be listening.
| Equals | Determines whether the specified object is equal to the current object. (Inherited from Object.)
| Finalize | Allows an object to try to free resources and perform other cleanup operations before it is reclaimed by garbage collection. (Inherited from Object.)
| GetEnumerator | Gets enumerator for this collection.
| GetHashCode | Serves as the default hash function. (Inherited from Object.)
| GetType | Gets the Type of the current instance. (Inherited from Object.)
| MemberwiseClone | Creates a shallow copy of the current Object. (Inherited from Object.)
| ToString | Returns a string that represents the current object. (Inherited from Object.)

Top
See Also

#### Reference

Grpc.Core Namespace